library chromotome;

import 'dart:ui';

class Palette {
  final String name;
  final List<Color> colors;
  final Color stroke;
  final Color background;

  const Palette({this.name, this.colors, this.stroke, this.background});
}

Palette chromotome(String serie, String name) => Chromotomes[serie][name];

Map<String, Palette> chromotomes(String serie) => Chromotomes[serie];

const Chromotomes = {
  'iivonen': {
    'iiso_zeitung': Palette(
      name: 'iiso_zeitung',
      colors: [
        Color(0xffee8067),
        Color(0xfff3df76),
        Color(0xff00a9c0),
        Color(0xfff7ab76)
      ],
      stroke: Color(0xff111a17),
      background: Color(0xfff5efcb),
    ),
    'iiso_curcuit': Palette(
      name: 'iiso_curcuit',
      colors: [
        Color(0xfff0865c),
        Color(0xfff2b07b),
        Color(0xff6bc4d2),
        Color(0xff1a3643)
      ],
      stroke: Color(0xff0f1417),
      background: Color(0xfff0f0e8),
    ),
    'iiso_airlines': Palette(
      name: 'iiso_airlines',
      colors: [
        Color(0xfffe765a),
        Color(0xffffb468),
        Color(0xff4b588f),
        Color(0xfffaf1e0)
      ],
      stroke: Color(0xff1c1616),
      background: Color(0xfffae5c8),
    ),
    'iiso_daily': Palette(
      name: 'iiso_daily',
      colors: [
        Color(0xffe76c4a),
        Color(0xfff0d967),
        Color(0xff7f8cb6),
        Color(0xff1daeb1),
        Color(0xffef9640)
      ],
      stroke: Color(0xff000100),
      background: Color(0xffe2ded2),
    )
  },
  'judson': {
    'jud_playground': Palette(
      name: 'jud_playground',
      colors: [Color(0xfff04924), Color(0xfffcce09), Color(0xff408ac9)],
      stroke: Color(0xff2e2925),
      background: Color(0xffffffff),
    ),
    'jud_horizon': Palette(
      name: 'jud_horizon',
      colors: [
        Color(0xfff8c3df),
        Color(0xfff2e420),
        Color(0xff28b3d0),
        Color(0xff648731),
        Color(0xffef6a7d)
      ],
      stroke: Color(0xff030305),
      background: Color(0xfff2f0e1),
    ),
    'jud_mural': Palette(
      name: 'jud_mural',
      colors: [
        Color(0xffca3122),
        Color(0xffe5af16),
        Color(0xff4a93a2),
        Color(0xff0e7e39),
        Color(0xffe2b9bd)
      ],
      stroke: Color(0xff1c1616),
      background: Color(0xffe3ded8),
    ),
    'jud_cabinet': Palette(
      name: 'jud_cabinet',
      colors: [
        Color(0xfff0afb7),
        Color(0xfff6bc12),
        Color(0xff1477bb),
        Color(0xff41bb9b)
      ],
      stroke: Color(0xff020508),
      background: Color(0xffe3ded8),
    )
  },
  'ducci': {
    'ducci_jb': Palette(
      name: 'ducci_jb',
      colors: [
        Color(0xff395e54),
        Color(0xffe77b4d),
        Color(0xff050006),
        Color(0xffe55486)
      ],
      stroke: Color(0xff050006),
      background: Color(0xffefe0bc),
    ),
    'ducci_a': Palette(
      name: 'ducci_a',
      colors: [
        Color(0xff809498),
        Color(0xffd3990e),
        Color(0xff000000),
        Color(0xffecddc5)
      ],
      stroke: Color(0xffecddc5),
      background: Color(0xff863f52),
    ),
    'ducci_b': Palette(
      name: 'ducci_b',
      colors: [
        Color(0xffecddc5),
        Color(0xff79b27b),
        Color(0xff000000),
        Color(0xffac6548)
      ],
      stroke: Color(0xffac6548),
      background: Color(0xffd5c08e),
    ),
    'ducci_d': Palette(
      name: 'ducci_d',
      colors: [
        Color(0xfff3cb4d),
        Color(0xfff2f5e3),
        Color(0xff20191b),
        Color(0xff67875c)
      ],
      stroke: Color(0xff67875c),
      background: Color(0xff433d5f),
    ),
    'ducci_e': Palette(
      name: 'ducci_e',
      colors: [
        Color(0xffc37c2b),
        Color(0xfff6ecce),
        Color(0xff000000),
        Color(0xff386a7a)
      ],
      stroke: Color(0xff386a7a),
      background: Color(0xffe3cd98),
    ),
    'ducci_f': Palette(
      name: 'ducci_f',
      colors: [
        Color(0xff596f7e),
        Color(0xffeae6c7),
        Color(0xff463c21),
        Color(0xfff4cb4c)
      ],
      stroke: Color(0xfff4cb4c),
      background: Color(0xffe67300),
    ),
    'ducci_g': Palette(
      name: 'ducci_g',
      colors: [Color(0xffc75669), Color(0xff000000), Color(0xff11706a)],
      stroke: Color(0xff11706a),
      background: Color(0xffecddc5),
    ),
    'ducci_h': Palette(
      name: 'ducci_h',
      colors: [Color(0xff6b5c6e), Color(0xff4a2839), Color(0xffd9574a)],
      stroke: Color(0xffd9574a),
      background: Color(0xffffc34b),
    ),
    'ducci_i': Palette(
      name: 'ducci_i',
      colors: [Color(0xffe9dcad), Color(0xff143331), Color(0xffffc000)],
      stroke: Color(0xffffc000),
      background: Color(0xffa74c02),
    ),
    'ducci_j': Palette(
      name: 'ducci_j',
      colors: [
        Color(0xffc47c2b),
        Color(0xff5f5726),
        Color(0xff000000),
        Color(0xff7e8a84)
      ],
      stroke: Color(0xff7e8a84),
      background: Color(0xffecddc5),
    ),
    'ducci_o': Palette(
      name: 'ducci_o',
      colors: [
        Color(0xffc15e1f),
        Color(0xffe4a13a),
        Color(0xff000000),
        Color(0xff4d545a)
      ],
      stroke: Color(0xff4d545a),
      background: Color(0xffdfc79b),
    ),
    'ducci_q': Palette(
      name: 'ducci_q',
      colors: [Color(0xff4bae8c), Color(0xffd0c1a0), Color(0xff2d3538)],
      stroke: Color(0xff2d3538),
      background: Color(0xffd06440),
    ),
    'ducci_u': Palette(
      name: 'ducci_u',
      colors: [
        Color(0xfff6d700),
        Color(0xfff2d692),
        Color(0xff000000),
        Color(0xff5d3552)
      ],
      stroke: Color(0xff5d3552),
      background: Color(0xffff7426),
    ),
    'ducci_v': Palette(
      name: 'ducci_v',
      colors: [
        Color(0xffc65f75),
        Color(0xffd3990e),
        Color(0xff000000),
        Color(0xff597e7a)
      ],
      stroke: Color(0xff597e7a),
      background: Color(0xfff6eccb),
    ),
    'ducci_x': Palette(
      name: 'ducci_x',
      colors: [Color(0xffdd614a), Color(0xfff5cedb), Color(0xff1a1e4f)],
      stroke: Color(0xff1a1e4f),
      background: Color(0xfffbb900),
    )
  },
  'spatial': {
    'spatial01': Palette(
      name: 'spatial01',
      colors: [Color(0xffff5937), Color(0xfff6f6f4), Color(0xff4169ff)],
      stroke: Color(0xffff5937),
      background: Color(0xfff6f6f4),
    ),
    'spatial02': Palette(
      name: 'spatial02',
      colors: [Color(0xffff5937), Color(0xfff6f6f4), Color(0xfff6f6f4)],
      stroke: Color(0xffff5937),
      background: Color(0xfff6f6f4),
    ),
    'spatial02i': Palette(
      name: 'spatial02i',
      colors: [Color(0xfff6f6f4), Color(0xffff5937), Color(0xffff5937)],
      stroke: Color(0xfff6f6f4),
      background: Color(0xffff5937),
    ),
    'spatial03': Palette(
      name: 'spatial03',
      colors: [Color(0xff4169ff), Color(0xfff6f6f4), Color(0xfff6f6f4)],
      stroke: Color(0xff4169ff),
      background: Color(0xfff6f6f4),
    ),
    'spatial03i': Palette(
      name: 'spatial03i',
      colors: [Color(0xfff6f6f4), Color(0xff4169ff), Color(0xff4169ff)],
      stroke: Color(0xfff6f6f4),
      background: Color(0xff4169ff),
    )
  },
  'kovecses': {
    'kov_01': Palette(
      name: 'kov_01',
      colors: [
        Color(0xffd24c23),
        Color(0xff7ba6bc),
        Color(0xfff0c667),
        Color(0xffede2b3),
        Color(0xff672b35),
        Color(0xff142a36)
      ],
      stroke: Color(0xff132a37),
      background: Color(0xff108266),
    ),
    'kov_02': Palette(
      name: 'kov_02',
      colors: [Color(0xffe8dccc), Color(0xffe94641), Color(0xffeeaeae)],
      stroke: Color(0xffe8dccc),
      background: Color(0xff6c96be),
    ),
    'kov_03': Palette(
      name: 'kov_03',
      colors: [
        Color(0xffe3937b),
        Color(0xffd93f1d),
        Color(0xff090d15),
        Color(0xffe6cca7)
      ],
      stroke: Color(0xff090d15),
      background: Color(0xff558947),
    ),
    'kov_04': Palette(
      name: 'kov_04',
      colors: [
        Color(0xffd03718),
        Color(0xff292b36),
        Color(0xff33762f),
        Color(0xffead7c9),
        Color(0xffce7028),
        Color(0xff689d8d)
      ],
      stroke: Color(0xff292b36),
      background: Color(0xffdeb330),
    ),
    'kov_05': Palette(
      name: 'kov_05',
      colors: [
        Color(0xffde3f1a),
        Color(0xffde9232),
        Color(0xff007158),
        Color(0xffe6cdaf),
        Color(0xff869679)
      ],
      stroke: Color(0xff010006),
      background: Color(0xff7aa5a6),
    ),
    'kov_06': Palette(
      name: 'kov_06',
      colors: [
        Color(0xffa87c2a),
        Color(0xffbdc9b1),
        Color(0xfff14616),
        Color(0xffecbfaf),
        Color(0xff017724),
        Color(0xff0e2733),
        Color(0xff2b9ae9)
      ],
      stroke: Color(0xff292319),
      background: Color(0xffdfd4c1),
    ),
    'kov_06b': Palette(
      name: 'kov_06b',
      colors: [
        Color(0xffd57846),
        Color(0xffdfe0cc),
        Color(0xffde442f),
        Color(0xffe7d3c5),
        Color(0xff5ec227),
        Color(0xff302f35),
        Color(0xff63bdb3)
      ],
      stroke: Color(0xff292319),
      background: Color(0xffdfd4c1),
    ),
    'kov_07': Palette(
      name: 'kov_07',
      colors: [
        Color(0xffc91619),
        Color(0xfffdecd2),
        Color(0xfff4a000),
        Color(0xff4c2653)
      ],
      stroke: Color(0xff111),
      background: Color(0xff89c2cd),
    )
  },
  'hilda': {
    'hilda01': Palette(
      name: 'hilda01',
      colors: [
        Color(0xffec5526),
        Color(0xfff4ac12),
        Color(0xff9ebbc1),
        Color(0xfff7f4e2)
      ],
      stroke: Color(0xff1e1b1e),
      background: Color(0xffe7e8d4),
    ),
    'hilda02': Palette(
      name: 'hilda02',
      colors: [
        Color(0xffeb5627),
        Color(0xffeebb20),
        Color(0xff4e9eb8),
        Color(0xfff7f5d0)
      ],
      stroke: Color(0xff201d13),
      background: Color(0xff77c1c0),
    ),
    'hilda03': Palette(
      name: 'hilda03',
      colors: [
        Color(0xffe95145),
        Color(0xfff8b917),
        Color(0xffb8bdc1),
        Color(0xffffb2a2)
      ],
      stroke: Color(0xff010101),
      background: Color(0xff6b7752),
    ),
    'hilda04': Palette(
      name: 'hilda04',
      colors: [
        Color(0xffe95145),
        Color(0xfff6bf7a),
        Color(0xff589da1),
        Color(0xfff5d9bc)
      ],
      stroke: Color(0xff000001),
      background: Color(0xfff5ede1),
    ),
    'hilda05': Palette(
      name: 'hilda05',
      colors: [
        Color(0xffff6555),
        Color(0xffffb58f),
        Color(0xffd8eecf),
        Color(0xff8c4b47),
        Color(0xffbf7f93)
      ],
      stroke: Color(0xff2b0404),
      background: Color(0xffffda82),
    ),
    'hilda06': Palette(
      name: 'hilda06',
      colors: [
        Color(0xfff75952),
        Color(0xffffce84),
        Color(0xff74b7b2),
        Color(0xfff6f6f6),
        Color(0xffb17d71)
      ],
      stroke: Color(0xff0e0603),
      background: Color(0xfff6ecd4),
    )
  },
  'system': {
    'system.#01': Palette(
      name: 'system.#01',
      colors: [
        Color(0xffff4242),
        Color(0xfffec101),
        Color(0xff1841fe),
        Color(0xfffcbdcc),
        Color(0xff82e9b5)
      ],
      stroke: Color(0xff000),
      background: Color(0xfffff),
    ),
    'system.#02': Palette(
      name: 'system.#02',
      colors: [
        Color(0xffff4242),
        Color(0xffffd480),
        Color(0xff1e365d),
        Color(0xffedb14c),
        Color(0xff418dcd)
      ],
      stroke: Color(0xff000),
      background: Color(0xfffff),
    ),
    'system.#03': Palette(
      name: 'system.#03',
      colors: [
        Color(0xfff73f4a),
        Color(0xffd3e5eb),
        Color(0xff002c3e),
        Color(0xff1aa1b1),
        Color(0xffec6675)
      ],
      stroke: Color(0xff110b09),
      background: Color(0xfffff),
    ),
    'system.#04': Palette(
      name: 'system.#04',
      colors: [
        Color(0xffe31f4f),
        Color(0xfff0ac3f),
        Color(0xff18acab),
        Color(0xff26265a),
        Color(0xffea7d81),
        Color(0xffdcd9d0)
      ],
      stroke: Color(0xff26265a),
      background: Color(0xffdcd9d0),
    ),
    'system.#05': Palette(
      name: 'system.#05',
      colors: [
        Color(0xffdb4549),
        Color(0xffd1e1e1),
        Color(0xff3e6a90),
        Color(0xff2e3853),
        Color(0xffa3c9d3)
      ],
      stroke: Color(0xff000),
      background: Color(0xfffff),
    ),
    'system.#06': Palette(
      name: 'system.#06',
      colors: [
        Color(0xffe5475c),
        Color(0xff95b394),
        Color(0xff28343b),
        Color(0xfff7c6a3),
        Color(0xffeb8078)
      ],
      stroke: Color(0xff000),
      background: Color(0xfffff),
    ),
    'system.#07': Palette(
      name: 'system.#07',
      colors: [Color(0xffd75c49), Color(0xfff0efea), Color(0xff509da4)],
      stroke: Color(0xff000),
      background: Color(0xfffff),
    ),
    'system.#08': Palette(
      name: 'system.#08',
      colors: [Color(0xfff6625a), Color(0xff92b29f), Color(0xff272c3f)],
      stroke: Color(0xff000),
      background: Color(0xfffff),
    )
  },
  'jung': {
    'jung_bird': Palette(
      name: 'jung_bird',
      colors: [
        Color(0xfffc3032),
        Color(0xfffed530),
        Color(0xff33c3fb),
        Color(0xffff7bac),
        Color(0xfffda929)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffffffff),
    ),
    'jung_horse': Palette(
      name: 'jung_horse',
      colors: [Color(0xffe72e81), Color(0xfff0bf36), Color(0xff3056a2)],
      stroke: Color(0xff000000),
      background: Color(0xffffffff),
    ),
    'jung_croc': Palette(
      name: 'jung_croc',
      colors: [
        Color(0xfff13274),
        Color(0xffeed03e),
        Color(0xff405e7f),
        Color(0xff19a198)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffffffff),
    ),
    'jung_hippo': Palette(
      name: 'jung_hippo',
      colors: [
        Color(0xffff7bac),
        Color(0xffff921e),
        Color(0xff3ea8f5),
        Color(0xff7ac943)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffffffff),
    ),
    'jung_wolf': Palette(
      name: 'jung_wolf',
      colors: [
        Color(0xffe51c39),
        Color(0xfff1b844),
        Color(0xff36c4b7),
        Color(0xff666666)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffffffff),
    )
  },
  'misc': {
    'frozen-rose': Palette(
      name: 'frozen-rose',
      colors: [
        Color(0xff29368f),
        Color(0xffe9697b),
        Color(0xff1b164d),
        Color(0xfff7d996)
      ],
      stroke: Color(0xff000000),
      background: Color(0xfff2e8e4),
    ),
    'winter-night': Palette(
      name: 'winter-night',
      colors: [
        Color(0xff122438),
        Color(0xffdd672e),
        Color(0xff87c7ca),
        Color(0xffebebeb)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffebebeb),
    ),
    'saami': Palette(
      name: 'saami',
      colors: [
        Color(0xffeab700),
        Color(0xffe64818),
        Color(0xff2c6393),
        Color(0xffeecfca)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffe7e6e4),
    ),
    'knotberry1': Palette(
      name: 'knotberry1',
      colors: [
        Color(0xff20342a),
        Color(0xfff74713),
        Color(0xff686d2c),
        Color(0xffe9b4a6)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffe5ded8),
    ),
    'knotberry2': Palette(
      name: 'knotberry2',
      colors: [
        Color(0xff1d3b1a),
        Color(0xffeb4b11),
        Color(0xffe5bc00),
        Color(0xfff29881)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffeae2d0),
    ),
    'tricolor': Palette(
      name: 'tricolor',
      colors: [
        Color(0xffec643b),
        Color(0xff56b7ab),
        Color(0xfff8cb57),
        Color(0xff1f1e43)
      ],
      stroke: Color(0xff000000),
      background: Color(0xfff7f2df),
    ),
    'foxshelter': Palette(
      name: 'foxshelter',
      colors: [
        Color(0xffff3931),
        Color(0xff007861),
        Color(0xff311f27),
        Color(0xffbab9a4)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffdddddd),
    ),
    'hermes': Palette(
      name: 'hermes',
      colors: [
        Color(0xff253852),
        Color(0xff51222f),
        Color(0xffb53435),
        Color(0xffecbb51)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffeeccc2),
    ),
    'olympia': Palette(
      name: 'olympia',
      colors: [
        Color(0xffff3250),
        Color(0xffffb33a),
        Color(0xff008c36),
        Color(0xff0085c6),
        Color(0xff4c4c4c)
      ],
      stroke: Color(0xff0b0b0b),
      background: Color(0xfffaf2e5),
    ),
    'byrnes': Palette(
      name: 'byrnes',
      colors: [Color(0xffc54514), Color(0xffdca215), Color(0xff23507f)],
      stroke: Color(0xff0b0b0b),
      background: Color(0xffe8e7d4),
    ),
    'butterfly': Palette(
      name: 'butterfly',
      colors: [
        Color(0xfff40104),
        Color(0xfff6c0b3),
        Color(0xff99673a),
        Color(0xfff0f1f4)
      ],
      stroke: Color(0xff191e36),
      background: Color(0xff191e36),
    ),
    'floratopia': Palette(
      name: 'floratopia',
      colors: [
        Color(0xffbf4a2b),
        Color(0xffcd902a),
        Color(0xff4e4973),
        Color(0xfff5d4bc)
      ],
      stroke: Color(0xff1e1a43),
      background: Color(0xff1e1a43),
    ),
    'verena': Palette(
      name: 'verena',
      colors: [
        Color(0xfff1594a),
        Color(0xfff5b50e),
        Color(0xff14a160),
        Color(0xff2969de),
        Color(0xff885fa4)
      ],
      stroke: Color(0xff1a1a1a),
      background: Color(0xffe2e6e8),
    ),
    'florida_citrus': Palette(
      name: 'florida_citrus',
      colors: [Color(0xffea7251), Color(0xffebf7f0), Color(0xff02aca5)],
      stroke: Color(0xff050100),
      background: Color(0xff9ae2d3),
    ),
    'lemon_citrus': Palette(
      name: 'lemon_citrus',
      colors: [Color(0xffe2d574), Color(0xfff1f4f7), Color(0xff69c5ab)],
      stroke: Color(0xff463231),
      background: Color(0xfff79eac),
    ),
    'yuma_punk': Palette(
      name: 'yuma_punk',
      colors: [Color(0xfff05e3b), Color(0xffebdec4), Color(0xffffdb00)],
      stroke: Color(0xffebdec4),
      background: Color(0xff161616),
    ),
    'moir': Palette(
      name: 'moir',
      colors: [
        Color(0xffa49f4f),
        Color(0xffd4501e),
        Color(0xfff7c558),
        Color(0xffebbaa6)
      ],
      stroke: Color(0xff161716),
      background: Color(0xfff7f4ef),
    ),
    'sprague': Palette(
      name: 'sprague',
      colors: [
        Color(0xffec2f28),
        Color(0xfff8cd28),
        Color(0xff1e95bb),
        Color(0xfffbaab3),
        Color(0xfffcefdf)
      ],
      stroke: Color(0xff221e1f),
      background: Color(0xfffcefdf),
    ),
    'bloomberg': Palette(
      name: 'bloomberg',
      colors: [
        Color(0xffff5500),
        Color(0xfff4c145),
        Color(0xff144714),
        Color(0xff2f04fc),
        Color(0xffe276af)
      ],
      stroke: Color(0xff000),
      background: Color(0xfffff3dd),
    ),
    'revolucion': Palette(
      name: 'revolucion',
      colors: [
        Color(0xffed555d),
        Color(0xfffffcc9),
        Color(0xff41b797),
        Color(0xffeda126),
        Color(0xff7b5770)
      ],
      stroke: Color(0xfffffcc9),
      background: Color(0xff2d1922),
    ),
    'sneaker': Palette(
      name: 'sneaker',
      colors: [
        Color(0xffe8165b),
        Color(0xff401e38),
        Color(0xff66c3b4),
        Color(0xffee7724),
        Color(0xff584098)
      ],
      stroke: Color(0xff401e38),
      background: Color(0xffffffff),
    ),
    'miradors': Palette(
      name: 'miradors',
      colors: [
        Color(0xffff6936),
        Color(0xfffddc3f),
        Color(0xff0075ca),
        Color(0xff00bb70)
      ],
      stroke: Color(0xffffffff),
      background: Color(0xff020202),
    ),
    'kaffeprat': Palette(
      name: 'kaffeprat',
      colors: [
        Color(0xffBCAA8C),
        Color(0xffD8CDBE),
        Color(0xff484A42),
        Color(0xff746B58),
        Color(0xff9A8C73)
      ],
      stroke: Color(0xff000),
      background: Color(0xfffff),
    )
  },
  'duotone': {
    'dt01': Palette(
      name: 'dt01',
      colors: [Color(0xff172a89), Color(0xfff7f7f3)],
      stroke: Color(0xff172a89),
      background: Color(0xfff3abb0),
    ),
    'dt02': Palette(
      name: 'dt02',
      colors: [Color(0xff302956), Color(0xfff3c507)],
      stroke: Color(0xff302956),
      background: Color(0xffeee3d3),
    ),
    'dt03': Palette(
      name: 'dt03',
      colors: [Color(0xff000000), Color(0xffa7a7a7)],
      stroke: Color(0xff000000),
      background: Color(0xff0a5e78),
    ),
    'dt04': Palette(
      name: 'dt04',
      colors: [Color(0xff50978e), Color(0xfff7f0df)],
      stroke: Color(0xff000000),
      background: Color(0xfff7f0df),
    ),
    'dt05': Palette(
      name: 'dt05',
      colors: [Color(0xffee5d65), Color(0xfff0e5cb)],
      stroke: Color(0xff080708),
      background: Color(0xfff0e5cb),
    ),
    'dt06': Palette(
      name: 'dt06',
      colors: [Color(0xff271f47), Color(0xffe7ceb5)],
      stroke: Color(0xff271f47),
      background: Color(0xffcc2b1c),
    ),
    'dt07': Palette(
      name: 'dt07',
      colors: [Color(0xff6a98a5), Color(0xffd24c18)],
      stroke: Color(0xffefebda),
      background: Color(0xffefebda),
    ),
    'dt08': Palette(
      name: 'dt08',
      colors: [Color(0xff5d9d88), Color(0xffebb43b)],
      stroke: Color(0xffefebda),
      background: Color(0xffefebda),
    ),
    'dt09': Palette(
      name: 'dt09',
      colors: [Color(0xff052e57), Color(0xffde8d80)],
      stroke: Color(0xffefebda),
      background: Color(0xffefebda),
    )
  },
  'colourscafe': {
    'cc239': Palette(
      name: 'cc239',
      colors: [
        Color(0xffe3dd34),
        Color(0xff78496b),
        Color(0xfff0527f),
        Color(0xffa7e0e2)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffe0eff0),
    ),
    'cc234': Palette(
      name: 'cc234',
      colors: [
        Color(0xffffce49),
        Color(0xffede8dc),
        Color(0xffff5736),
        Color(0xffff99b4)
      ],
      stroke: Color(0xff000000),
      background: Color(0xfff7f4ed),
    ),
    'cc232': Palette(
      name: 'cc232',
      colors: [
        Color(0xff5c5f46),
        Color(0xffff7044),
        Color(0xffffce39),
        Color(0xff66aeaa)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffe9ecde),
    ),
    'cc238': Palette(
      name: 'cc238',
      colors: [
        Color(0xff553c60),
        Color(0xffffb0a0),
        Color(0xffff6749),
        Color(0xfffbe090)
      ],
      stroke: Color(0xff000000),
      background: Color(0xfff5e9de),
    ),
    'cc242': Palette(
      name: 'cc242',
      colors: [
        Color(0xffbbd444),
        Color(0xfffcd744),
        Color(0xfffa7b53),
        Color(0xff423c6f)
      ],
      stroke: Color(0xff000000),
      background: Color(0xfffaf4e4),
    ),
    'cc245': Palette(
      name: 'cc245',
      colors: [
        Color(0xff0d4a4e),
        Color(0xffff947b),
        Color(0xffead3a2),
        Color(0xff5284ab)
      ],
      stroke: Color(0xff000000),
      background: Color(0xfff6f4ed),
    ),
    'cc273': Palette(
      name: 'cc273',
      colors: [
        Color(0xff363d4a),
        Color(0xff7b8a56),
        Color(0xffff9369),
        Color(0xfff4c172)
      ],
      stroke: Color(0xff000000),
      background: Color(0xfff0efe2),
    )
  },
  'roygbivs': {
    'retro': Palette(
      name: 'retro',
      colors: [
        Color(0xff69766f),
        Color(0xff9ed6cb),
        Color(0xfff7e5cc),
        Color(0xff9d8f7f),
        Color(0xff936454),
        Color(0xffbf5c32),
        Color(0xffefad57)
      ],
      stroke: Color(0xff000000),
      background: Color(0xff000000),
    ),
    'retro-washedout': Palette(
      name: 'retro-washedout',
      colors: [
        Color(0xff878a87),
        Color(0xffcbdbc8),
        Color(0xffe8e0d4),
        Color(0xffb29e91),
        Color(0xff9f736c),
        Color(0xffb76254),
        Color(0xffdfa372)
      ],
      stroke: Color(0xff000000),
      background: Color(0xff000000),
    ),
    'roygbiv-warm': Palette(
      name: 'roygbiv-warm',
      colors: [
        Color(0xff705f84),
        Color(0xff687d99),
        Color(0xff6c843e),
        Color(0xfffc9a1a),
        Color(0xffdc383a),
        Color(0xffaa3a33),
        Color(0xff9c4257)
      ],
      stroke: Color(0xff000000),
      background: Color(0xff000000),
    ),
    'roygbiv-toned': Palette(
      name: 'roygbiv-toned',
      colors: [
        Color(0xff817c77),
        Color(0xff396c68),
        Color(0xff89e3b7),
        Color(0xfff59647),
        Color(0xffd63644),
        Color(0xff893f49),
        Color(0xff4d3240)
      ],
      stroke: Color(0xff000000),
      background: Color(0xff000000),
    ),
    'present-correct': Palette(
      name: 'present-correct',
      colors: [
        Color(0xfffd3741),
        Color(0xfffe4f11),
        Color(0xffff6800),
        Color(0xffffa61a),
        Color(0xffffc219),
        Color(0xffffd114),
        Color(0xfffcd82e),
        Color(0xfff4d730),
        Color(0xffced562),
        Color(0xff8ac38f),
        Color(0xff79b7a0),
        Color(0xff72b5b1),
        Color(0xff5b9bae),
        Color(0xff6ba1b7),
        Color(0xff49619d),
        Color(0xff604791),
        Color(0xff721e7f),
        Color(0xff9b2b77),
        Color(0xffab2562),
        Color(0xffca2847)
      ],
      stroke: Color(0xff000000),
      background: Color(0xff000000),
    )
  },
  'ranganath': {
    'rag-mysore': Palette(
      name: 'rag-mysore',
      colors: [
        Color(0xffec6c26),
        Color(0xff613a53),
        Color(0xffe8ac52),
        Color(0xff639aa0)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffd5cda1),
    ),
    'rag-gol': Palette(
      name: 'rag-gol',
      colors: [
        Color(0xffd3693e),
        Color(0xff803528),
        Color(0xfff1b156),
        Color(0xff90a798)
      ],
      stroke: Color(0xff000000),
      background: Color(0xfff0e0a4),
    ),
    'rag-belur': Palette(
      name: 'rag-belur',
      colors: [
        Color(0xfff46e26),
        Color(0xff68485f),
        Color(0xff3d273a),
        Color(0xff535d55)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffdcd4a6),
    ),
    'rag-bangalore': Palette(
      name: 'rag-bangalore',
      colors: [
        Color(0xffea720e),
        Color(0xffca5130),
        Color(0xffe9c25a),
        Color(0xff52534f)
      ],
      stroke: Color(0xff000000),
      background: Color(0xfff9ecd3),
    ),
    'rag-taj': Palette(
      name: 'rag-taj',
      colors: [
        Color(0xffce565e),
        Color(0xff8e1752),
        Color(0xfff8a100),
        Color(0xff3ac1a6)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffefdea2),
    ),
    'rag-virupaksha': Palette(
      name: 'rag-virupaksha',
      colors: [
        Color(0xfff5736a),
        Color(0xff925951),
        Color(0xfffeba4c),
        Color(0xff9d9b9d)
      ],
      stroke: Color(0xff000000),
      background: Color(0xffeedfa2),
    )
  },
  'rohlfs': {
    'rohlfs_1R': Palette(
      name: 'rohlfs_1R',
      colors: [
        Color(0xff004996),
        Color(0xff567bae),
        Color(0xffff4c48),
        Color(0xffffbcb3)
      ],
      stroke: Color(0xff004996),
      background: Color(0xfffff8e7),
    ),
    'rohlfs_1Y': Palette(
      name: 'rohlfs_1Y',
      colors: [
        Color(0xff004996),
        Color(0xff567bae),
        Color(0xffffc000),
        Color(0xffffdca4)
      ],
      stroke: Color(0xff004996),
      background: Color(0xfffff8e7),
    ),
    'rohlfs_1G': Palette(
      name: 'rohlfs_1G',
      colors: [
        Color(0xff004996),
        Color(0xff567bae),
        Color(0xff60bf3c),
        Color(0xffd2deb1)
      ],
      stroke: Color(0xff004996),
      background: Color(0xfffff8e7),
    ),
    'rohlfs_2': Palette(
      name: 'rohlfs_2',
      colors: [
        Color(0xff4d3d9a),
        Color(0xfff76975),
        Color(0xffffffff),
        Color(0xffeff0dd)
      ],
      stroke: Color(0xff211029),
      background: Color(0xff58bdbc),
    ),
    'rohlfs_3': Palette(
      name: 'rohlfs_3',
      colors: [
        Color(0xffabdfdf),
        Color(0xfffde500),
        Color(0xff58bdbc),
        Color(0xffeff0dd)
      ],
      stroke: Color(0xff211029),
      background: Color(0xfff76975),
    ),
    'rohlfs_4': Palette(
      name: 'rohlfs_4',
      colors: [
        Color(0xfffde500),
        Color(0xff2f2043),
        Color(0xfff76975),
        Color(0xffeff0dd)
      ],
      stroke: Color(0xff211029),
      background: Color(0xfffbbeca),
    )
  },
  'tsuchimochi': {
    'tsu_arcade': Palette(
      name: 'tsu_arcade',
      colors: [
        Color(0xff4aad8b),
        Color(0xffe15147),
        Color(0xfff3b551),
        Color(0xffcec8b8),
        Color(0xffd1af84),
        Color(0xff544e47)
      ],
      stroke: Color(0xff251c12),
      background: Color(0xffcfc7b9),
    ),
    'tsu_harutan': Palette(
      name: 'tsu_harutan',
      colors: [
        Color(0xff75974a),
        Color(0xffc83e3c),
        Color(0xfff39140),
        Color(0xffe4ded2),
        Color(0xfff8c5a4),
        Color(0xff434f55)
      ],
      stroke: Color(0xff251c12),
      background: Color(0xffcfc7b9),
    ),
    'tsu_akasaka': Palette(
      name: 'tsu_akasaka',
      colors: [
        Color(0xff687f72),
        Color(0xffcc7d6c),
        Color(0xffdec36f),
        Color(0xffdec7af),
        Color(0xffad8470),
        Color(0xff424637)
      ],
      stroke: Color(0xff251c12),
      background: Color(0xffcfc7b9),
    )
  },
  'flourish': {
    'empusa': Palette(
      name: 'empusa',
      colors: [
        Color(0xffc92a28),
        Color(0xffe69301),
        Color(0xff1f8793),
        Color(0xff13652b),
        Color(0xffe7d8b0),
        Color(0xff48233b),
        Color(0xffe3b3ac)
      ],
      stroke: Color(0xff1a1a1a),
      background: Color(0xfff0f0f2),
    ),
    'delphi': Palette(
      name: 'delphi',
      colors: [
        Color(0xff475b62),
        Color(0xff7a999c),
        Color(0xff2a1f1d),
        Color(0xfffbaf3c),
        Color(0xffdf4a33),
        Color(0xfff0e0c6),
        Color(0xffaf592c)
      ],
      stroke: Color(0xff2a1f1d),
      background: Color(0xfff0e0c6),
    ),
    'mably': Palette(
      name: 'mably',
      colors: [
        Color(0xff13477b),
        Color(0xff2f1b10),
        Color(0xffd18529),
        Color(0xffd72a25),
        Color(0xffe42184),
        Color(0xff138898),
        Color(0xff9d2787),
        Color(0xff7f311b)
      ],
      stroke: Color(0xff2a1f1d),
      background: Color(0xffdfc792),
    ),
    'nowak': Palette(
      name: 'nowak',
      colors: [
        Color(0xffe85b30),
        Color(0xffef9e28),
        Color(0xffc6ac71),
        Color(0xffe0c191),
        Color(0xff3f6279),
        Color(0xffee854e),
        Color(0xff180305)
      ],
      stroke: Color(0xff180305),
      background: Color(0xffede4cb),
    ),
    'jupiter': Palette(
      name: 'jupiter',
      colors: [
        Color(0xffc03a53),
        Color(0xffedd09e),
        Color(0xffaab5af),
        Color(0xff023629),
        Color(0xffeba735),
        Color(0xff8e9380),
        Color(0xff6c4127)
      ],
      stroke: Color(0xff12110f),
      background: Color(0xffe6e2d6),
    ),
    'hersche': Palette(
      name: 'hersche',
      colors: [
        Color(0xffdf9f00),
        Color(0xff1f6f50),
        Color(0xff8e6d7f),
        Color(0xffda0607),
        Color(0xffa4a5a7),
        Color(0xffd3d1c3),
        Color(0xff42064f),
        Color(0xff25393a)
      ],
      stroke: Color(0xff0a0a0a),
      background: Color(0xfff0f5f6),
    ),
    'cherfi': Palette(
      name: 'cherfi',
      colors: [
        Color(0xff99cb9f),
        Color(0xffcfb610),
        Color(0xffd00701),
        Color(0xffdba78d),
        Color(0xff2e2c1d),
        Color(0xffbfbea2),
        Color(0xffd2cfaf)
      ],
      stroke: Color(0xff332e22),
      background: Color(0xffe3e2c5),
    ),
    'harvest': Palette(
      name: 'harvest',
      colors: [
        Color(0xff313a42),
        Color(0xff9aad2e),
        Color(0xfff0ae3c),
        Color(0xffdf4822),
        Color(0xff8eac9b),
        Color(0xffcc3d3f),
        Color(0xffec8b1c),
        Color(0xff1b9268)
      ],
      stroke: Color(0xff463930),
      background: Color(0xffe5e2cf),
    )
  },
  'tundra': {
    'tundra1': Palette(
      name: 'tundra1',
      colors: [
        Color(0xff40708c),
        Color(0xff8e998c),
        Color(0xff5d3f37),
        Color(0xffed6954),
        Color(0xfff2e9e2)
      ],
      stroke: Color(0xff000000),
      background: Color(0xff000000),
    ),
    'tundra2': Palette(
      name: 'tundra2',
      colors: [
        Color(0xff5f9e93),
        Color(0xff3d3638),
        Color(0xff733632),
        Color(0xffb66239),
        Color(0xffb0a1a4),
        Color(0xffe3dad2)
      ],
      stroke: Color(0xff000000),
      background: Color(0xff000000),
    ),
    'tundra3': Palette(
      name: 'tundra3',
      colors: [
        Color(0xff87c3ca),
        Color(0xff7b7377),
        Color(0xffb2475d),
        Color(0xff7d3e3e),
        Color(0xffeb7f64),
        Color(0xffd9c67a),
        Color(0xfff3f2f2)
      ],
      stroke: Color(0xff000000),
      background: Color(0xff000000),
    ),
    'tundra4': Palette(
      name: 'tundra4',
      colors: [
        Color(0xffd53939),
        Color(0xffb6754d),
        Color(0xffa88d5f),
        Color(0xff524643),
        Color(0xff3c5a53),
        Color(0xff7d8c7c),
        Color(0xffdad6cd)
      ],
      stroke: Color(0xff000000),
      background: Color(0xff000000),
    )
  }
};
